<?php
/**
 * 文章归档
 *
 * @package custom
 */
 if (!defined('__TYPECHO_ROOT_DIR__')) exit;
 ?>
<?php $this->need('header.php'); ?>

<div id="main" class="main" style="width:unset" role="main">
    <article class="post">
        <h1 class="post-title">
            <?php Typecho_Widget::widget('Widget_Stat')->to($stat); ?>
            共包含 <?php $stat->publishedPostsNum(); ?> 篇文章
        </h1>
        <div class="post-content">
            <?php
                Typecho_Widget::widget('Widget_Contents_Post_Recent', 'pageSize=' . $stat->publishedPostsNum)->to($archives);

                $year = 0;
                $mon = 0;
                $i = 0;
                $j = 0;
                $output = '<div class="archives">';

                while ($archives->next()) {
                    $year_tmp = date('Y', $archives->created);
                    $mon_tmp = date('m', $archives->created);
                    $y = $year;
                    $m = $mon;

                    if ($year > $year_tmp || $mon > $mon_tmp) {
                        $output .= '</ul></div>';
                    }

                    if ($year != $year_tmp || $mon != $mon_tmp) {
                        $year = $year_tmp;
                        $mon = $mon_tmp;
                        // 输出年份
                        $output .= '<div class="archives-item"><h2>' . date('Y年m月', $archives->created) . '</h2><ul class="archives-list pl-2" aria-label="' . date('Y年m月', $archives->created) . '">';
                    }

                    $output .= '<li><span class="day">' . date('d日', $archives->created) . '</span><div class="timeline"></div><div class="link-box"><a href="' . $archives->permalink . '">' . $archives->title . '</a></div></li>'; // 输出文章
                }

                $output .= '</ul></div></div>';
                echo $output;
            ?>
        </div>
    </article>
    <?php // $this->need('comments.php'); ?>
</div><!-- end #main -->

<?php $this->need('footer.php'); ?>