<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<div id="secondary"  class="sidebar fr" role="complementary">
     <section class="widget sidecate">
         <?php Ads_Plugin::show(id:2); ?>
     </section>
    <?php if (!empty($this->options->sidebarBlock) && in_array('ShowCategory', $this->options->sidebarBlock)): ?>
        <section class="widget sidecate">
            <h3 class="widget-title"><span><?php _e('分类列表'); ?></span></h3>
            <div class="widget-list category">
            <?php $obj = $this->widget('Widget_Metas_Category_List');
            if($obj->have()) while($obj->next()){ ?>
                <a class="" href="<?php $obj->permalink(); ?>" title="<?php $obj->name(); ?>"><?php $obj->name(); ?></a>
                <?php }?>
            </div>
        </section>
    <?php endif; ?>
    
    <?php if (!empty($this->options->sidebarBlock) && in_array('ShowHotPosts', $this->options->sidebarBlock)): ?>
        <section class="widget">
            <h3 class="widget-title"><span><?php _e('热门文章'); ?></span></h3>
            <ul class="widget-list rank">
                <?php \Widget\Contents\Post\Hot::alloc()->parse('<li><a href="{permalink}">{title}</a></li>'); ?>
            </ul>
        </section>
    <?php endif; ?>

    <?php if (!empty($this->options->sidebarBlock) && in_array('ShowRecentPosts', $this->options->sidebarBlock)): ?>
        <section class="widget">
            <h3 class="widget-title"><span><?php _e('最新文章'); ?></span></h3>
            <ul class="widget-list new">
                <?php \Widget\Contents\Post\Recent::alloc()->parse('<li><a href="{permalink}">{title}</a></li>'); ?>
            </ul>
        </section>
    <?php endif; ?>

    <?php if (!empty($this->options->sidebarBlock) && in_array('ShowRecentComments', $this->options->sidebarBlock)): ?>
        <section class="widget sidecmt">
            <h3 class="widget-title"><span><?php _e('最新评论'); ?></span></h3>
            <ul class="widget-list">
                <?php \Widget\Comments\Recent::alloc()->to($comments); ?>
                <?php while ($comments->next()): ?>
                    <li>
                        <a href="<?php $comments->permalink(); ?>"><?php $comments->author(false); ?></a>: <?php $comments->excerpt(35, '...'); ?>
                    </li>
                <?php endwhile; ?>
            </ul>
        </section>
    <?php endif; ?>

    <?php if (!empty($this->options->sidebarBlock) && in_array('ShowArchive', $this->options->sidebarBlock)): ?>
        <section class="widget">
            <h3 class="widget-title"><span><?php _e('归档列表'); ?></span></h3>
            <ul class="widget-list">
                <?php \Widget\Contents\Post\Date::alloc('type=month&format=F Y')
                    ->parse('<li><a href="{permalink}">{date}</a></li>'); ?>
            </ul>
        </section>
    <?php endif; ?>

    <?php if (!empty($this->options->sidebarBlock) && in_array('ShowOther', $this->options->sidebarBlock)): ?>
        <section class="widget">
            <h3 class="widget-title"><span><?php _e('其它选项'); ?></span></h3>
            <ul class="widget-list">
                <?php if ($this->user->hasLogin()): ?>
                    <li class="last"><a href="<?php $this->options->adminUrl(); ?>"><?php _e('进入后台'); ?>
                            (<?php $this->user->screenName(); ?>)</a></li>
                    <li><a href="<?php $this->options->logoutUrl(); ?>"><?php _e('退出'); ?></a></li>
                <?php else: ?>
                    <li class="last"><a href="<?php $this->options->adminUrl('login.php'); ?>"><?php _e('登录'); ?></a>
                    </li>
                <?php endif; ?>
                <li><a href="<?php $this->options->feedUrl(); ?>"><?php _e('文章 RSS'); ?></a></li>
                <li><a href="<?php $this->options->commentsFeedUrl(); ?>"><?php _e('评论 RSS'); ?></a></li>
            </ul>
        </section>
    <?php endif; ?>
    <section class="widget sidecate">
         <?php Ads_Plugin::show(id:3); ?>
     </section>
     <?php if($this->is('index')): ?>
     <section>
        <h3 class="widget-title"><span><?php _e('友情链接'); ?></span></h3>
        <div class="widget-list"><?php Links_Plugin::output(); ?></div>
     </section>
     <?php endif; ?>
</div><!-- end #sidebar -->
